// Board_MSTD.cpp: implementation of the CMotherBoard_MSTD class.
//


#include "stdafx.h"
#include "Board_MSTD.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction


CMotherBoard_MSTD::CMotherBoard_MSTD()
	: CMotherBoard()
{
}

CMotherBoard_MSTD::~CMotherBoard_MSTD()
{}


DWORD CMotherBoard_MSTD::GetConfiguration()
{
	return MSF_CONF_BK1001_MSTD;
}

bool CMotherBoard_MSTD::InitMemoryModules()
{
	bool bRes = true;
	bRes = bRes && LoadRomModule(IDS_INI_BK10_RE2_017_MONITOR, BRD_10_MON10_BNK);
	bRes = bRes && LoadRomModule(IDS_INI_BK10_RE2_018_FOCAL, BRD_10_FOCAL_BLK);
	bRes = bRes && LoadRomModule(IDS_INI_BK10_RE2_019_MSTD, BRD_10_TESTS_BLK);

	//и проинициализируем карту памяти
	if (bRes)
	{
		MemoryManager();
	}

	return bRes;
}

void CMotherBoard_MSTD::MemoryManager()
{
	CMotherBoard::MemoryManager();
	m_MemoryMap[014].bReadable = false; //140000-157777 - пусто
	m_MemoryMap[015].bReadable = false;
}

